
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <windows.h>			// SetConsoleTitle("...");
#include <process.h>			// system("cls")
#include <conio.h>				// getch()




/*----- Define's ----*/
#define ANZB 5					// Anzahl der Buttons im Menu
#define XBORDER 6144//204 //240 //3000 //6144
#define YBORDER 4096//201 //190 //3050 //4096


/*----- Globale Variablen ----*/
extern char			mapmul[40];
extern char			statics[40];
extern char			staidx[40];
extern char			orgmap[40];
extern char			orgstat[40];
extern char			orgstaid[40];

extern int			MinX, MaxX, MinY, MaxY;

extern int			BMPID[XBORDER+5][YBORDER+5];
extern signed int	BMPZ[XBORDER+5][YBORDER+5];
extern signed int	MapAlt[XBORDER+5][YBORDER+5];
extern int			tmp[XBORDER+5][YBORDER+5];


/*----- Prototypes ----*/
int Menu();										// Ruft Submains und Ausgabe auf
void delay(double sec);							// erzeugt eine Pause für sec-Sekunden

//bmp2map.cpp
void bmp2map();									// Mainfunktion von bmps2map
void WriteBMP(char filename[50], int mode);		// Ausgabe eines 24bit Bmp (XBORDER*YBORDER)

//extern.cpp
void getConfig();								// Einlesen der Config.dat

//map2karte.cpp
int	 map2karte();								// Mainfunktion von map2karte
void ReadMUL();									// Funktion zum lesen der map0.mul

//workz.cpp
void archivMUL();
void archivDATA(char name[40]);




